Register mcpo auth client
curl --request POST \
--url https://melso.ai/oauth/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_name": "Factory",
"redirect_uris": [
"http://127.0.0.1:8080/callback"
],
"token_endpoint_auth_method": "none"
}
'import requests
url = "https://melso.ai/oauth/register"
payload = {
"client_name": "Factory",
"redirect_uris": ["http://127.0.0.1:8080/callback"],
"token_endpoint_auth_method": "none"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_name: 'Factory',
redirect_uris: ['http://127.0.0.1:8080/callback'],
token_endpoint_auth_method: 'none'
})
};
fetch('https://melso.ai/oauth/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/oauth/register",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'client_name' => 'Factory',
'redirect_uris' => [
'http://127.0.0.1:8080/callback'
],
'token_endpoint_auth_method' => 'none'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/oauth/register"
payload := strings.NewReader("{\n \"client_name\": \"Factory\",\n \"redirect_uris\": [\n \"http://127.0.0.1:8080/callback\"\n ],\n \"token_endpoint_auth_method\": \"none\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://melso.ai/oauth/register")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"client_name\": \"Factory\",\n \"redirect_uris\": [\n \"http://127.0.0.1:8080/callback\"\n ],\n \"token_endpoint_auth_method\": \"none\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/oauth/register")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"client_name\": \"Factory\",\n \"redirect_uris\": [\n \"http://127.0.0.1:8080/callback\"\n ],\n \"token_endpoint_auth_method\": \"none\"\n}"
response = http.request(request)
puts response.read_body{
"client_id": "<string>",
"client_name": "<string>",
"grant_types": [
"<string>"
],
"redirect_uris": "<unknown>",
"response_types": [
"<string>"
],
"token_endpoint_auth_method": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}OAuth
Register mcpo auth client
Public dynamic client registration.
Request: client_name:string (1–200), redirect_uris:string[] (1–10), optional grant_types:string[], token_endpoint_auth_method:"none".
Response: Registered client metadata with client_id; no client secret.
Status: 201; 400 invalid metadata; 429 rate limited. Authentication and resource-access errors follow Overview.
POST
/
oauth
/
register
Register mcpo auth client
curl --request POST \
--url https://melso.ai/oauth/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_name": "Factory",
"redirect_uris": [
"http://127.0.0.1:8080/callback"
],
"token_endpoint_auth_method": "none"
}
'import requests
url = "https://melso.ai/oauth/register"
payload = {
"client_name": "Factory",
"redirect_uris": ["http://127.0.0.1:8080/callback"],
"token_endpoint_auth_method": "none"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_name: 'Factory',
redirect_uris: ['http://127.0.0.1:8080/callback'],
token_endpoint_auth_method: 'none'
})
};
fetch('https://melso.ai/oauth/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/oauth/register",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'client_name' => 'Factory',
'redirect_uris' => [
'http://127.0.0.1:8080/callback'
],
'token_endpoint_auth_method' => 'none'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/oauth/register"
payload := strings.NewReader("{\n \"client_name\": \"Factory\",\n \"redirect_uris\": [\n \"http://127.0.0.1:8080/callback\"\n ],\n \"token_endpoint_auth_method\": \"none\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://melso.ai/oauth/register")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"client_name\": \"Factory\",\n \"redirect_uris\": [\n \"http://127.0.0.1:8080/callback\"\n ],\n \"token_endpoint_auth_method\": \"none\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/oauth/register")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"client_name\": \"Factory\",\n \"redirect_uris\": [\n \"http://127.0.0.1:8080/callback\"\n ],\n \"token_endpoint_auth_method\": \"none\"\n}"
response = http.request(request)
puts response.read_body{
"client_id": "<string>",
"client_name": "<string>",
"grant_types": [
"<string>"
],
"redirect_uris": "<unknown>",
"response_types": [
"<string>"
],
"token_endpoint_auth_method": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json